package com.fjhx.file.controller;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.file.entity.UploadBodyDto;
import com.fjhx.file.service.FileInfoService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 文件表 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-14
 */
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/open/fileInfo")
public class FileInfoOpenController {

    @Autowired
    private FileInfoService fileInfoService;

    @PostMapping("/upload")
    public void upload( UploadBodyDto uploadBody) {
        fileInfoService.upload(uploadBody);
    }

}
