package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程实例当前信息
 *
 * @author yzc
 * @since 2024-04-19
 */

@Getter
@Setter
@TableName("flow_example_current")
public class FlowExampleCurrent extends BaseIdPo {
    /**
     * 流程实例id
     */
    private Long flowExampleId;

    /**
     * 节点id
     */
    private Long nodeId;

    /**
     * 处理人id
     */
    private Long handleUserId;
}
